#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 12. System Utilities

- Prev

  acpid-2.0.34

- Next

  autofs-5.1.9

- Up
- Home

# at-3.2.5

## Introduction to at

The at package provides delayed job execution and batch processing. It is required for Linux Standards Base (LSB) conformance.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://anduin.linuxfromscratch.org/BLFS/at/at_3.2.5.orig.tar.gz

- Download MD5 sum: ca3657a1c90d7c3d252e0bc17feddc6e

- Download size: 130 KB

- Estimated disk space required: 1.9 MB (including tests)

- Estimated build time: less than 0.1 SBU

### at Dependencies

#### Required

An MTA

#### Optional

Linux-PAM-1.7.0

## Installation of at

Before building at, as the `root` user you should create the group and user `atd` which will run the atd daemon:

    groupadd -g 17 atd                                                  &&
    useradd -d /dev/null -c "atd daemon" -g atd -s /bin/false -u 17 atd

Install at with the following commands:

    ./configure --with-daemon_username=atd        \
                --with-daemon_groupname=atd       \
                --with-jobdir=/var/spool/atjobs   \
                --with-atspool=/var/spool/atspool \
                SENDMAIL=/usr/sbin/sendmail       &&
    make -j1

To test the results, issue: make test.

Now, as the `root` user:

    make install docdir=/usr/share/doc/at-3.2.5 \
                 atdocdir=/usr/share/doc/at-3.2.5

## Configuring at

### Config Files

`/etc/at.allow` and `/etc/at.deny` determines who can submit jobs via at or batch.

### Linux PAM Configuration

If At has been built with Linux PAM support, you need to create a PAM configuration file, to get it working correctly with BLFS.

Issue the following commands as the `root` user to create the configuration file for Linux PAM:

    cat > /etc/pam.d/atd << "EOF"
    # Begin /etc/pam.d/atd

    auth     required pam_unix.so
    account  required pam_unix.so
    password required pam_unix.so
    session  required pam_unix.so

    # End /etc/pam.d/atd
    EOF

### Boot Script

Install the `/etc/init.d/atd` init script from the blfs-bootscripts-20250225 package.

    make install-atd

## Contents

Installed Programs: at, atd, atq (symlink), atrm (symlink), atrun, and batch
Installed Libraries: None
Installed Directories: /usr/share/doc/at-3.2.5

### Short Descriptions

at | queues, examines or deletes jobs for later execution
atd | is the daemon that runs jobs queued for later execution
atq | lists the user's pending jobs, or all jobs, if superuser
atrm | deletes jobs, identified by their job number
atrun | runs jobs queued for later execution
batch | is a script that executes commands when system load levels permit

- Prev

  acpid-2.0.34

- Next

  autofs-5.1.9

- Up
- Home